Package org.springframework.security.core.annotation

# Class AnnotationTemplateExpressionDefaults

java.lang.Object
org.springframework.security.core.annotation.AnnotationTemplateExpressionDefaults

public class AnnotationTemplateExpressionDefaults extends Object
A component for configuring the expression attribute template of the parsed Spring Security annotation

Since:
  6.4
See Also:
  - `AuthenticationPrincipal`
  - `CurrentSecurityContext`

## Constructor Summary

Constructors
Constructor
Description
`AnnotationTemplateExpressionDefaults()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isIgnoreUnknown()`
Whether template resolution should ignore placeholders it doesn't recognize.
`void`
`setIgnoreUnknown(boolean ignoreUnknown)`
Configure template resolution to ignore unknown placeholders.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationTemplateExpressionDefaults

public AnnotationTemplateExpressionDefaults()

## Method Details

### isIgnoreUnknown

public boolean isIgnoreUnknown()
Whether template resolution should ignore placeholders it doesn't recognize.

By default, this value is `true`.

### setIgnoreUnknown

public void setIgnoreUnknown(boolean ignoreUnknown)
Configure template resolution to ignore unknown placeholders. When set to `false`, template resolution will throw an exception for unknown placeholders.

By default, this value is `true`.

Parameters:
  `ignoreUnknown` - - whether to ignore unknown placeholders parameters